### Enumeration

# Gio ResolverNameLookupFlags

since: 2.60

#### Declaration

    flags Gio.ResolverNameLookupFlags

#### Description [src]

Flags to modify lookup behavior.

Available since: 2.60

#### Members

Name | Description
--- | ---
`G_RESOLVER_NAME_LOOKUP_FLAGS_DEFAULT` | Default behavior (same as g_resolver_lookup_by_name())
`G_RESOLVER_NAME_LOOKUP_FLAGS_IPV4_ONLY` | Only resolve ipv4 addresses.
`G_RESOLVER_NAME_LOOKUP_FLAGS_IPV6_ONLY` | Only resolve ipv6 addresses.